c
c     Second Edition
c     Numerical Analysis:
c     The Mathematics of Scientific Computing
c     D.R. Kincaid & E.W. Cheney
c     Brooks/Cole Publ., 1996
c     ISBN 0-534-33892-5
c     COPYRIGHT (c) 1996
c
c     Section 3.5
c
c     Example of Horner's ALgorithm
c
c
c     file: ex3s35.f
c
      dimension a(0:4),b(-1:3)
      data (a(i),i=0,4) /-2.0,-5.0,7.0,-4.0,1.0/
      data n,z0 /4,3.0/
c
      print *
      print *,' Horner Method example'
      print *,' Section 3.5, Kincaid-Cheney'
      print *
c
      b(n-1) = a(n)
      do 2 k=n-1,0,-1
         b(k-1) = a(k) + z0*b(k)
 2    continue
c
      print *,' The value of the polynomial at x=3 is',b(-1)
c
      stop
      end
